= nn_strerror(3compat)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nn_strerror - return message for error (compatible API)

== SYNOPSIS

[source,c]
----
#include <nanomsg/nn.h>

const char *nn_strerror(int err);
----

== DESCRIPTION

The `nn_strerror()` function returns a human readable message corresponding
to the given error number _err_.

NOTE: This function is provided for API
xref:nng_compat.3compat.adoc[compatibility] with legacy _libnanomsg_.
Consider using the relevant xref:libnng.3.adoc[modern API] instead.

== RETURN VALUES

This function returns the message corresponding to _err_.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nn_errno.3compat.adoc[nn_errno(3compat)],
xref:nng_compat.3compat.adoc[nng_compat(3compat)],
xref:nng.7.adoc[nng(7)]
